# generated by cabal-rpm-2.0.6
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name HaXml
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        1.25.5
Release:        1%{?dist}
Summary:        Utilities for “true” manipulating XML documents

# https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/VFYIDDBGTIGNG6IJBW2BVSJLIUZXFXKC/
License:        LGPLv2+
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkgver}/%{pkg_name}.cabal#/%{pkgver}.cabal
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-polyparse-prof
BuildRequires:  ghc-pretty-prof
BuildRequires:  ghc-random-prof
# End cabal-rpm deps

%description
Haskell utilities for “true” parsing, filtering, transforming and generating XML
documents.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
cp -bp %{SOURCE1} %{pkg_name}.cabal
chmod a-x Changelog.md
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%files -f %{name}.files
# Begin cabal-rpm files:
%license COPYRIGHT
%license LICENCE-GPL
%license LICENCE-LGPL
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc Changelog.md
%{_bindir}/Canonicalise
%{_bindir}/CanonicaliseLazy
%{_bindir}/DtdToHaskell
%{_bindir}/FpMLToHaskell
%{_bindir}/MkOneOf
%{_bindir}/Validate
%{_bindir}/XsdToHaskell
%{_bindir}/Xtract


%if %{with haddock}
%files doc -f %{name}-doc.files
%license COPYRIGHT
%license LICENCE-GPL
%license LICENCE-LGPL
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Tue Sep  1 2020 Jens Petersen <petersen@redhat.com> - 1.25.5-1
- spec file generated by cabal-rpm-2.0.6
